Package org.eclipse.m2m.atl.emftvm.cdo.impl

## Class CDOModelFactoryImpl

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.cdo.impl.CDOModelFactoryImpl

All Implemented Interfaces:
  `ModelFactory`

    public class CDOModelFactoryImpl
    extends java.lang.Object
    implements ModelFactory

CDO implementation for `ModelFactory`.

### Constructor Summary

Constructors
`CDOModelFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Metamodel` `createMetamodel​(org.eclipse.emf.ecore.resource.Resource resource)` Creates a new `Metamodel` for the given `Resource`.
`Model` `createModel​(org.eclipse.emf.ecore.resource.Resource resource)` Creates a new `Model` for the given `Resource`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDOModelFactoryImpl

    public CDOModelFactoryImpl()

### Method Detail

#### createModel

    public Model createModel​(org.eclipse.emf.ecore.resource.Resource resource)

Creates a new `Model` for the given `Resource`.

Specified by:
  `createModel` in interface `ModelFactory`
Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Model`

#### createMetamodel

    public Metamodel createMetamodel​(org.eclipse.emf.ecore.resource.Resource resource)

Creates a new `Metamodel` for the given `Resource`.

Specified by:
  `createMetamodel` in interface `ModelFactory`
Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Metamodel`